"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index_esm = require("../../../tiny-svg/dist/index.esm.js");
function transform(gfx, x, y, angle, amount) {
  var translate2 = index_esm.createTransform();
  translate2.setTranslate(x, y);
  var rotate2 = index_esm.createTransform();
  rotate2.setRotate(angle || 0, 0, 0);
  var scale = index_esm.createTransform();
  scale.setScale(1, 1);
  index_esm.transform(gfx, [translate2, rotate2, scale]);
}
function translate(gfx, x, y) {
  var translate2 = index_esm.createTransform();
  translate2.setTranslate(x, y);
  index_esm.transform(gfx, translate2);
}
function rotate(gfx, angle) {
  var rotate2 = index_esm.createTransform();
  rotate2.setRotate(angle, 0, 0);
  index_esm.transform(gfx, rotate2);
}
exports.rotate = rotate;
exports.transform = transform;
exports.translate = translate;
